Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.xmicrosoft
Class AbstractMediaReceiverRegistrarService

    java.lang.Object
      org.teleal.cling.support.xmicrosoft.AbstractMediaReceiverRegistrarService

    public abstract class AbstractMediaReceiverRegistrarService

extends Object

Basic implementation of service required by MSFT devices such as XBox 360.

Author:
  Mario Franco

Field Summary
`protected PropertyChangeSupport` | `propertyChangeSupport`

Constructor Summary
`protected` | `AbstractMediaReceiverRegistrarService()`
`protected` | `AbstractMediaReceiverRegistrarService(PropertyChangeSupport propertyChangeSupport)`

Method Summary
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getAuthorizationDeniedUpdateID()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getAuthorizationGrantedUpdateID()`
`PropertyChangeSupport` | `getPropertyChangeSupport()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getValidationRevokedUpdateID()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getValidationSucceededUpdateID()`
`boolean` | `isAuthorized(String deviceID)`
`boolean` | `isValidated(String deviceID)`
`Byte[]` | `registerDevice(Byte[] registrationReqMsg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyChangeSupport

    protected final PropertyChangeSupport propertyChangeSupport

Constructor Detail

### AbstractMediaReceiverRegistrarService

    protected AbstractMediaReceiverRegistrarService()

### AbstractMediaReceiverRegistrarService

    protected AbstractMediaReceiverRegistrarService(PropertyChangeSupport propertyChangeSupport)

Method Detail

### getPropertyChangeSupport

    public PropertyChangeSupport getPropertyChangeSupport()

### getAuthorizationGrantedUpdateID

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getAuthorizationGrantedUpdateID()

### getAuthorizationDeniedUpdateID

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getAuthorizationDeniedUpdateID()

### getValidationSucceededUpdateID

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getValidationSucceededUpdateID()

### getValidationRevokedUpdateID

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getValidationRevokedUpdateID()

### isAuthorized

    public boolean isAuthorized(String deviceID)

### isValidated

    public boolean isValidated(String deviceID)

### registerDevice

    public Byte[] registerDevice(Byte[] registrationReqMsg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.